OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.BindlessTexture

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetNVBindlessTexture :: MonadIO m => m Bool
- gl_NV_bindless_texture :: Bool
- glGetImageHandleNV :: MonadIO m => GLuint -> GLint -> GLboolean -> GLint -> GLenum -> m GLuint64
- glGetTextureHandleNV :: MonadIO m => GLuint -> m GLuint64
- glGetTextureSamplerHandleNV :: MonadIO m => GLuint -> GLuint -> m GLuint64
- glIsImageHandleResidentNV :: MonadIO m => GLuint64 -> m GLboolean
- glIsTextureHandleResidentNV :: MonadIO m => GLuint64 -> m GLboolean
- glMakeImageHandleNonResidentNV :: MonadIO m => GLuint64 -> m ()
- glMakeImageHandleResidentNV :: MonadIO m => GLuint64 -> GLenum -> m ()
- glMakeTextureHandleNonResidentNV :: MonadIO m => GLuint64 -> m ()
- glMakeTextureHandleResidentNV :: MonadIO m => GLuint64 -> m ()
- glProgramUniformHandleui64NV :: MonadIO m => GLuint -> GLint -> GLuint64 -> m ()
- glProgramUniformHandleui64vNV :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint64 -> m ()
- glUniformHandleui64NV :: MonadIO m => GLint -> GLuint64 -> m ()
- glUniformHandleui64vNV :: MonadIO m => GLint -> GLsizei -> Ptr GLuint64 -> m ()

# Extension Support

glGetNVBindlessTexture :: MonadIO m => m Bool Source #

Is the NV_bindless_texture extension supported?

gl_NV_bindless_texture :: Bool Source #

Is the NV_bindless_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVBindlessTexture` in those cases instead.

# Functions

glGetImageHandleNV Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLboolean | `layered` of type Boolean.
-> GLint | `layer`.
-> GLenum | `format` of type PixelFormat.
-> m GLuint64 |

glGetTextureHandleNV Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> m GLuint64 |

glGetTextureSamplerHandleNV Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLuint | `sampler`.
-> m GLuint64 |

glIsImageHandleResidentNV Source #

Arguments

:: MonadIO m |
=> GLuint64 | `handle`.
-> m GLboolean | of type Boolean.

glIsTextureHandleResidentNV Source #

Arguments

:: MonadIO m |
=> GLuint64 | `handle`.
-> m GLboolean | of type Boolean.

glMakeImageHandleNonResidentNV Source #

Arguments

:: MonadIO m |
=> GLuint64 | `handle`.
-> m () |

glMakeImageHandleResidentNV Source #

Arguments

:: MonadIO m |
=> GLuint64 | `handle`.
-> GLenum | `access`.
-> m () |

glMakeTextureHandleNonResidentNV Source #

Arguments

:: MonadIO m |
=> GLuint64 | `handle`.
-> m () |

glMakeTextureHandleResidentNV Source #

Arguments

:: MonadIO m |
=> GLuint64 | `handle`.
-> m () |

glProgramUniformHandleui64NV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint64 | `value`.
-> m () |

glProgramUniformHandleui64vNV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64 | `values` pointing to `count` elements of type `GLuint64`.
-> m () |

glUniformHandleui64NV Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLuint64 | `value`.
-> m () |

glUniformHandleui64vNV Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64 | `value` pointing to `count` elements of type `GLuint64`.
-> m () |